//	Microworks ObjectMate  2.6
//
//  "SFX Class Library"
//
//	An ObjectWindows 2.0 extension for Borland C++ 4.0
//
//	Copyright 1992-94 Microworks Sydney, Australia.
//
//  SFRAME.H

#if !defined(__SFX_SFRAME_H)
#define __SFX_SFRAME_H

#if !defined(__OWL_FRAMEWIN_H)
  #include <owl\framewin.h>
#endif

//  class TSFXFrameWindow

class _OWLCLASS TSFXFrameWindow : virtual public TFrameWindow
{
  public:
	TSFXFrameWindow(TWindow*        parent,
					const char far* title = 0,
					TWindow*        clientWnd = 0,
					BOOL            sfxFrame = FALSE,
					BOOL            sfxCaption = FALSE,
					BOOL            shrinkToClient = FALSE,
					TModule*        module = 0);

  protected:
	void              SetupWindow();
	
	//	call SFXDefWindowProc() instead of DefWindowProc()
	LRESULT           DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

  DECLARE_RESPONSE_TABLE(TSFXFrameWindow);
  DECLARE_STREAMABLE(_OWLCLASS, TSFXFrameWindow, 1);
};	

#endif  //	SFX_SFRAME_H
